/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1579143562333_7771';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 9003,
    },
  };

  config.mongoose = {
    url: 'mongodb://localhost:27017/platform',
    options: {
      user: 'demo',
      pass: 'demo',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
